FORUMS

[Q] Can't register rooted phone to Sprint's network

2 posts
Thanks Meter: 0
 
By DriftingJesus, Junior Member on 18th April 2014, 12:38 AM
Post Reply Subscribe to Thread Email Thread
Hi all,


So I've been S=off for a year or two and have jumped around between ROMs with no issues as far as sprints network is concerned.
I recently switched to T-Mobile (One M8!!) and decided to give my phone to my sis since she lost hers recently. She's on Sprint.

We've been able to register or "activate" the phone online and through the phone. The problem is that calls don't come through. We get getting the "we're sorry you're account couldn't be validated" message. Could it be that my prl is out of date? Do I need to unroot?? Any help is greatly welcomed.

Model: EVO
Android verison: 4.4.2
Baseband version: 1.12.11.0809
Kernal version: 3.4.82-g15c16ed build01@cyanogenmod #1 Fri Mar 28 23:45:5 PDT 2014
CyanogenMod version: 11-20140329-NIGHTLY-jewel
Build number: cm_jewel_userdebug 4.4. KVT29L d5e6ae85e4

PRL version: 25017

Thanks in advance for your help!
 
 
18th April 2014, 01:03 AM |#2  
Captain_Throwback's Avatar
Retired Moderator / Recognized Contributor
Flag Bensalem, PA
Thanks Meter: 13,548
 
10
Donate to Me
More
You have to be on a stock ROM to activate the device.
The Following 2 Users Say Thank You to Captain_Throwback For This Useful Post: [ View ]
18th April 2014, 01:03 AM |#3  
The_Merovingian's Avatar
Forum Moderator
Flag East Stroudsburg
Thanks Meter: 2,831
 
Donate to Me
More
Quote:
Originally Posted by DriftingJesus

Hi all,


So I've been S=off for a year or two and have jumped around between ROMs with no issues as far as sprints network is concerned.
I recently switched to T-Mobile (One M8!!) and decided to give my phone to my sis since she lost hers recently. She's on Sprint.

We've been able to register or "activate" the phone online and through the phone. The problem is that calls don't come through. We get getting the "we're sorry you're account couldn't be validated" message. Could it be that my prl is out of date? Do I need to unroot?? Any help is greatly welcomed.

Model: EVO
Android verison: 4.4.2
Baseband version: 1.12.11.0809
Kernal version: 3.4.82-g15c16ed build01@cyanogenmod #1 Fri Mar 28 23:45:5 PDT 2014
CyanogenMod version: 11-20140329-NIGHTLY-jewel
Build number: cm_jewel_userdebug 4.4. KVT29L d5e6ae85e4

PRL version: 25017

Thanks in advance for your help!

You probably need to flash a stock, sense based ROM to complete activation.


Edit: I see Captain answered just as I did.

Sent from my Nexus 5 using XDA Premium 4 mobile app
Last edited by The_Merovingian; 18th April 2014 at 01:06 AM.
18th April 2014, 02:21 AM |#4  
OP Junior Member
Thanks Meter: 0
 
More
Thanks for your help!

Are the stock ROMs available here?
18th April 2014, 02:39 AM |#5  
Magnum_Enforcer's Avatar
Forum Moderator
Flag Birmingham, AL
Thanks Meter: 2,949
 
Donate to Me
More
Quote:
Originally Posted by DriftingJesus

Thanks for your help!

Are the stock ROMs available here?

Practically any Sense ROM will work. Just take a look in the development thread and find one to flash. It's highly advised to keep a Sense ROM backup handy in case of future issues. There are things you can do on a Sense ROM that you cannot do on a AOSP ROM like CM.

If you're on the old partition setup you can flash the ROM from this thread:

http://forum.xda-developers.com/show....php?t=2468418

Sent from my HTC device
The Following User Says Thank You to Magnum_Enforcer For This Useful Post: [ View ]
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes